[UPDATE-MONITOR-SCHEMA-5]
//Oracle-Monitor-From-424Base-To-424FP1
CREATE INDEX "$SCHEMA$"."PT_AUTO_DEL_PID" ON "$SCHEMA$"."PROCESS"("PT_AUTO_DEL_PERIOD", "PT_PID")

CREATE INDEX "$SCHEMA$"."PI_COMP_PTID_PIID" ON "$SCHEMA$"."PROCESS_INST"("PI_COMPLETE_TIME", "PI_PROCESS_PTID", "PI_PIID")

CREATE INDEX "$SCHEMA$"."PI_STATE_AIID" ON "$SCHEMA$"."PROCESS_INST"("PI_STATE", "PI_PARENT_AIID")

RENAME EVENTS TO EVENTS_BACK

ALTER TABLE "$SCHEMA$"."EVENTS_BACK" DROP PRIMARY KEY

ALTER TABLE "$SCHEMA$"."EVENTS_BACK" DROP UNIQUE("QUEUEID", "EVENT_SEQ")

ALTER TABLE "$SCHEMA$"."EVENTS_BACK" ADD CONSTRAINT EVENT_BACK UNIQUE("QUEUEID", "EVENT_SEQ")

DROP INDEX "$SCHEMA$"."EVENT_CONTEXTID"

CREATE TABLE "$SCHEMA$"."EVENTS"(
"EVENTID" RAW(16) NOT NULL,
"QUEUEID" INTEGER NOT NULL,
"EVENT_SEQ" DECIMAL(16,0) NOT NULL,
"EVENT_TIME" DECIMAL(16,0) NOT NULL,
"EVENT_CODE" INTEGER NOT NULL,
"CONTEXTID" RAW(16) NOT NULL,
"ENGINETYPE" VARCHAR(75) NOT NULL,
"ENGINEID" RAW(16) NOT NULL,
"EVENT_TIME_FRAC" INTEGER NOT NULL,
"SHORT_DATA" RAW(1900),
CONSTRAINT "PK_EVENTS" PRIMARY KEY ("EVENTID"),
CONSTRAINT "EVENT_QUEUEID" UNIQUE("QUEUEID", "EVENT_SEQ")
) 

CREATE INDEX "$SCHEMA$"."EVENT_CONTEXTID" ON "$SCHEMA$"."EVENTS"("QUEUEID", "CONTEXTID")

CREATE TABLE "$SCHEMA$"."EVENT_DATA"(
"QUEUEID" INTEGER NOT NULL,
"EVENT_SEQ" DECIMAL(16,0) NOT NULL,
"DATA_SEQ" INTEGER NOT NULL,
"DATA" RAW(1900),
CONSTRAINT "PK_EVENT_DATA" PRIMARY KEY ("QUEUEID", "EVENT_SEQ", "DATA_SEQ")
) 

DROP TABLE "$SCHEMA$"."DELAYED_EVENTS" CASCADE CONSTRAINTS

CREATE TABLE "$SCHEMA$"."DELAYED_EVENTS"(
"EVENTID" RAW(16) NOT NULL,
"QUEUEID" INTEGER NOT NULL,
"EVENT_SEQ" DECIMAL(16,0) NOT NULL,
"EVENT_TIME" DECIMAL(16,0) NOT NULL,
"EVENT_CODE" INTEGER NOT NULL,
"CONTEXTID" RAW(16) NOT NULL,
"ENGINETYPE" VARCHAR(75) NOT NULL,
"ENGINEID" RAW(16) NOT NULL,
"EVENT_TIME_FRAC" INTEGER NOT NULL,
"SHORT_DATA" RAW(1900),
"TRIAL_NUMBER" INTEGER DEFAULT 0 NOT NULL,
CONSTRAINT "PK_DEVENTS" PRIMARY KEY ("EVENTID"),
CONSTRAINT "DELAYED_QUEUEID" UNIQUE("QUEUEID", "EVENT_SEQ", "TRIAL_NUMBER")
) 

CREATE INDEX "$SCHEMA$"."DELAYED_CONTEXTID" ON "$SCHEMA$"."DELAYED_EVENTS"("CONTEXTID")

RENAME LOCK_TABLE TO EB_SYNC_TABLE

CREATE TABLE "$SCHEMA$"."MQWF_SYNC_TABLE"(
"LOCKER" INTEGER DEFAULT 0 NOT NULL
) 

CREATE TABLE "$SCHEMA$"."WMQI_SYNC_TABLE"(
"LOCKER" INTEGER DEFAULT 0 NOT NULL
) 

CREATE TABLE "$SCHEMA$"."ICS_SYNC_TABLE"(
"LOCKER" INTEGER DEFAULT 0 NOT NULL
) 

CREATE TABLE "$SCHEMA$"."CLEANUP_SYNC_TABLE"(
"LOCKER" INTEGER DEFAULT 0 NOT NULL
) 

CREATE TABLE "$SCHEMA$"."NOTIFY_SYNC_TABLE"(
"LOCKER" INTEGER DEFAULT 0 NOT NULL
) 

CREATE TABLE "$SCHEMA$"."CXFLOWEVENTRECORDS"(
"SEQUENCENUMBER" DECIMAL(16,0) NOT NULL,
"EVENT" VARCHAR(255) NOT NULL,
"MONITORFLOWID" VARCHAR(255) NOT NULL,
"OUTBOUNDFLOWID" VARCHAR(255) NOT NULL,
"TIMESTAMP" DECIMAL(16,0) NOT NULL,
"COMPONENTNAME" VARCHAR(80) NOT NULL,
"COMPONENTTYPE" INTEGER,
CONSTRAINT "EVENTINDEX" UNIQUE("SEQUENCENUMBER")
) 

CREATE OR REPLACE TRIGGER "$SCHEMA$"."CX_INST" BEFORE INSERT ON "$SCHEMA$"."CXFLOWEVENTRECORDS" REFERENCING NEW AS NEW_REC FOR EACH ROW
BEGIN
:NEW_REC.TIMESTAMP := (24 * 60 * 60 * 1000 * (SYSDATE - TO_DATE('1970-01-01 00:00:00','yyyy-mm-dd hh24:mi:ss')));
END;

ALTER TABLE "$SCHEMA$"."PROCESS_MODEL" ADD("PM_LAST_UPDATED" NUMBER(16) DEFAULT 0)

INSERT INTO $SCHEMA$.SYS_PROPERTIES VALUES('monitor.eventProcessor.count', '1')

[UPDATE-MONITOR-SCHEMA-5-AFTER-JAVA-CODE-EXECUTION]
DROP TABLE "$SCHEMA$"."EVENTS_BACK" CASCADE CONSTRAINTS

[UPDATE-EQ-SCHEMA-5]
CREATE SEQUENCE "$SCHEMA$"."PROC_DATA_SEQUENCE" MINVALUE 1 NOMAXVALUE ORDER

ALTER TABLE "$SCHEMA$"."HS_PROC_DATA" ADD(PROC_DATA_SEQ NUMBER(16) DEFAULT 0 NOT NULL)

ALTER TABLE "$SCHEMA$"."HS_CONT_DETAIL" ADD(CONT_DETAIL_SEQ NUMBER(16) DEFAULT 0 NOT NULL)

CREATE INDEX "$SCHEMA$"."HS_PD_SEQ_INDEX" ON "$SCHEMA$"."HS_PROC_DATA"(PROC_DATA_SEQ)

CREATE INDEX "$SCHEMA$"."HS_PDD_SEQ_INDEX" ON "$SCHEMA$"."HS_CONT_DETAIL"(CONT_DETAIL_SEQ)

CREATE OR REPLACE TRIGGER "$SCHEMA$"."PD_INST" AFTER INSERT ON "$SCHEMA$"."CONTAINER" REFERENCING NEW AS PD FOR EACH ROW
 BEGIN
 INSERT INTO
 $SCHEMA$.HS_PROC_DATA(PROC_DATA_SEQ, BIID, CIID, LAST_UPDATED, SHORT_DATA)
 VALUES
 (PROC_DATA_SEQUENCE.NEXTVAL, :PD.BIID, :PD.CIID, :PD.LAST_UPDATED, :PD.SHORT_DATA);
 END;

CREATE OR REPLACE TRIGGER "$SCHEMA$"."PD_UPDT" AFTER UPDATE ON "$SCHEMA$"."CONTAINER" REFERENCING NEW AS PD FOR EACH ROW
 BEGIN
 INSERT INTO $SCHEMA$.HS_PROC_DATA(PROC_DATA_SEQ, BIID, CIID, LAST_UPDATED, SHORT_DATA)
 VALUES
 (PROC_DATA_SEQUENCE.NEXTVAL, :PD.BIID, :PD.CIID, :PD.LAST_UPDATED, :PD.SHORT_DATA);
 END;

CREATE OR REPLACE TRIGGER "$SCHEMA$"."PDD_INST" AFTER INSERT ON "$SCHEMA$"."CONTAINER_DATA_SEG" REFERENCING NEW AS PD FOR EACH ROW
 BEGIN
 INSERT INTO
 $SCHEMA$.HS_CONT_DETAIL(CONT_DETAIL_SEQ, CD_BIID, CD_CIID, CD_LAST_UPDATED, SEQ_NUM, DATA)
 VALUES
 (PROC_DATA_SEQUENCE.NEXTVAL, :PD.BIID, :PD.CIID, TIMESTAMP_WF(SYSDATE, 0), :PD.SEQ_NUM, :PD.DATA);
 END;

CREATE OR REPLACE TRIGGER "$SCHEMA$"."PDD_UPDT" AFTER UPDATE ON "$SCHEMA$"."CONTAINER_DATA_SEG" REFERENCING NEW AS PD FOR EACH ROW
 BEGIN
 INSERT INTO
 $SCHEMA$.HS_CONT_DETAIL(CONT_DETAIL_SEQ, CD_BIID, CD_CIID, CD_LAST_UPDATED, SEQ_NUM, DATA)
 VALUES
 (PROC_DATA_SEQUENCE.NEXTVAL, :PD.BIID, :PD.CIID, TIMESTAMP_WF(SYSDATE, 0), :PD.SEQ_NUM, :PD.DATA);
 END;

DROP SEQUENCE "$SCHEMA$"."TIMESTAMP_SEQ"

DROP SEQUENCE "$SCHEMA$"."GENERIC_SEQ"

CREATE OR REPLACE PROCEDURE UPDATE_HS_PROC_DATA
IS
v_counter number;
v_total number;
CURSOR C1 IS SELECT DISTINCT A.BIID,A.CIID,A.LAST_UPDATED.D DT, A.LAST_UPDATED.S FR
FROM $SCHEMA$.HS_PROC_DATA A
ORDER BY A.BIID,A.CIID,A.LAST_UPDATED.D, A.LAST_UPDATED.S;
BEGIN
SELECT COUNT(*) INTO v_total FROM $SCHEMA$.HS_PROC_DATA;
v_counter := 1;
FOR REC1 IN C1
LOOP
UPDATE $SCHEMA$.HS_PROC_DATA A SET PROC_DATA_SEQ = -1 * v_total
WHERE A.BIID=REC1.BIID AND A.CIID = REC1.CIID AND A.LAST_UPDATED.D = REC1.DT AND A.LAST_UPDATED.S = REC1.FR;
v_total := v_total - 1;
v_counter := v_counter + 1;
IF (v_counter > 1000)
THEN
COMMIT;
v_counter := 1;
END IF;
END LOOP;
COMMIT;
END;

CREATE OR REPLACE PROCEDURE UPDATE_HS_CONT_DETAIL
IS
v_counter number;
v_total number;
CURSOR C1 IS SELECT DISTINCT A.CD_BIID,A.CD_CIID,A.CD_LAST_UPDATED.D DT, A.CD_LAST_UPDATED.S FR,A.SEQ_NUM
FROM $SCHEMA$.HS_CONT_DETAIL A 
ORDER BY A.CD_BIID,A.CD_CIID,A.CD_LAST_UPDATED.D, A.CD_LAST_UPDATED.S,A.SEQ_NUM;
BEGIN
SELECT COUNT(*) INTO v_total FROM $SCHEMA$.HS_CONT_DETAIL;
v_counter := 1;
FOR REC1 IN C1
LOOP
UPDATE $SCHEMA$.HS_CONT_DETAIL A SET CONT_DETAIL_SEQ = -1 * v_total
WHERE A.CD_BIID=REC1.CD_BIID AND A.CD_CIID = REC1.CD_CIID AND A.CD_LAST_UPDATED.D = REC1.DT AND A.CD_LAST_UPDATED.S = REC1.FR AND A.SEQ_NUM = REC1.SEQ_NUM ;
v_total := v_total - 1;
v_counter := v_counter + 1;
IF (v_counter > 1000)
THEN
COMMIT;
v_counter := 1;
END IF;
END LOOP;
COMMIT;
END;

EXECUTE UPDATE_HS_PROC_DATA()

EXECUTE UPDATE_HS_CONT_DETAIL()

DROP PROCEDURE UPDATE_HS_PROC_DATA

DROP PROCEDURE UPDATE_HS_CONT_DETAIL

ALTER TABLE "$SCHEMA$"."HS_PROC_DATA" DROP PRIMARY KEY

ALTER TABLE "$SCHEMA$"."HS_CONT_DETAIL" DROP PRIMARY KEY